<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: src/personnages/tank.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_f31b072cdcd5ea17a83064bab6ce1e32.html">personnages</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">tank.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>cltanke tank  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &quot;<a class="el" href="tank_8h_source.html">../../include/tank.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="nom__alea_8h_source.html">../../include/nom_alea.h</a>&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:acbed9b9e2990e73d719c5a12dc5ddee6"><td class="memItemLeft" align="right" valign="top"><a id="acbed9b9e2990e73d719c5a12dc5ddee6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>DEP</b>&#160;&#160;&#160;2</td></tr>
<tr class="separator:acbed9b9e2990e73d719c5a12dc5ddee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0e9e8b25a91810f74372a05cba70777"><td class="memItemLeft" align="right" valign="top"><a id="ac0e9e8b25a91810f74372a05cba70777"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><b>ATT</b>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ac0e9e8b25a91810f74372a05cba70777"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a7370feae5ed1c87120f3735154198d1e"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="tank_8c.html#a7370feae5ed1c87120f3735154198d1e">existe_tank</a> (<a class="el" href="structtank__t.html">tank_t</a> *tank)</td></tr>
<tr class="memdesc:a7370feae5ed1c87120f3735154198d1e"><td class="mdescLeft">&#160;</td><td class="mdescRight">fonction qui test si un assassin existe  <a href="tank_8c.html#a7370feae5ed1c87120f3735154198d1e">More...</a><br /></td></tr>
<tr class="separator:a7370feae5ed1c87120f3735154198d1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ded82ebc16626270c128910d26111f"><td class="memItemLeft" align="right" valign="top"><a id="af1ded82ebc16626270c128910d26111f"></a>
<a class="el" href="structtank__t.html">tank_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>creer_tank</b> (<a class="el" href="commun_8h.html#ac3e546a119394ead24b8ac81c35a390c">equipe_t</a> equipe, <a class="el" href="structrace__t.html">race_t</a> *race, <a class="el" href="structliste__perso__t.html">liste_perso_t</a> *liste)</td></tr>
<tr class="separator:af1ded82ebc16626270c128910d26111f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>cltanke tank </p>
<p>cette cltanke contient les fonctions et methodes disponibles pour la classe tank Un tank contient les caractéristiques suivantes :</p><ul>
<li>pv = 100;</li>
<li>degat = 20;</li>
<li>portee de deplacement = 2</li>
<li>portee d'attaques = 1</li>
<li>parade = 0.30</li>
<li>crit = 0.10</li>
<li>resistance = 5</li>
<li>precision = 1.00 <dl class="section author"><dt>Author</dt><dd>Pierre garcon </dd></dl>
<dl class="section date"><dt>Date</dt><dd>06 fevrier </dd></dl>
</li>
</ul>
</div><h2 class="groupheader">Function Documentation</h2>
<a id="a7370feae5ed1c87120f3735154198d1e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7370feae5ed1c87120f3735154198d1e">&#9670;&nbsp;</a></span>existe_tank()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int existe_tank </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structtank__t.html">tank_t</a> *&#160;</td>
          <td class="paramname"><em>tank</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>fonction qui test si un assassin existe </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tank</td><td>Assasin à tester</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>int 0 | 1 </dd></dl>
<div class="fragment"><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;  <span class="keywordflow">if</span>(tank == NULL)</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">return</span>(0);</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;  <span class="keywordflow">else</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    <span class="keywordflow">return</span>(1);</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;}</div>
</div><!-- fragment -->
</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
